<?xml version="1.0" encoding="UTF-8"?>
<!DOCTYPE mapper PUBLIC "-//mybatis.org//DTD Mapper 3.0//EN" "http://mybatis.org/dtd/mybatis-3-mapper.dtd">
<mapper namespace="com.community.huiju.dao.TpShopTypeMapper">

    <insert id="insertBatchIds" useGeneratedKeys="true" keyProperty="id" parameterType="java.util.ArrayList">
        insert into tp_shop_type(community_id,type_name,sort,source,create_date,create_user)
        VALUES
        <foreach collection="list" item="item" index="index" separator=",">
            (#{item.communityId},#{item.typeName},#{item.sort},#{item.source},#{item.createDate},#{item.createUser})
        </foreach>
    </insert>
</mapper>
